/*
 * Copyright (C) 2017 Wiznet, MIT License
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 * and associated documentation files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge, publish, distribute,
 * sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or
 * substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#include <stdio.h>
#include "mbed.h"
#include "WizFi310Interface.h"

#define SECURE WizFi310::SEC_WPA2_MIXED
#define SSID "DIR-815_Wiznet"
#define PASS "12345678"

#if defined(TARGET_NUCLEO_F411RE)
    WizFi310Interface wizfi310(D8,D2,D7,D6,D9,NC,115200);
    Serial pc(USBTX, USBRX);
#endif

#if defined(TARGET_WIZwiki_W7500)
    WizFi310Interface wizfi310(D1,D0,D7,D8,PA_12,NC,115200);
    Serial pc(USBTX, USBRX);
#endif


/**
 *  \brief Hello World
 *  \param none
 *  \return int
 */
int main()
{
    pc.baud(115200);
 
    printf("WizFi310 Hello World demo. \r\n");
    wizfi310.init();
    if ( wizfi310.connect(SECURE, SSID, PASS,WizFi310::WM_STATION))      return -1;
    printf("IP Address is %s\r\n", wizfi310.getIPAddress());
    
    wizfi310.disconnect();
}
